Magick++: Magick::DrawableRectangle Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableRectangle Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableRectangle:
[legend]
Collaboration diagram for Magick::DrawableRectangle:
[legend]

## Public Member Functions
| DrawableRectangle (double upperLeftX_, double upperLeftY_, double lowerRightX_, double lowerRightY_)
| ~DrawableRectangle (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | upperLeftX (double upperLeftX_)
double | upperLeftX (void) const
void | upperLeftY (double upperLeftY_)
double | upperLeftY (void) const
void | lowerRightX (double lowerRightX_)
double | lowerRightX (void) const
void | lowerRightY (double lowerRightY_)
double | lowerRightY (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1342 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableRectangle::DrawableRectangle | ( | double | upperLeftX_,
|  | double | upperLeftY_,
|  | double | lowerRightX_,
|  | double | lowerRightY_
| ) |  |
| inline

Definition at line 1345 of file Drawable.h.

Magick::DrawableRectangle::~DrawableRectangle | ( | void |  | ) |

Definition at line 957 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableRectangle::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 966 of file Drawable.cpp.

void Magick::DrawableRectangle::lowerRightX | ( | double | lowerRightX_ | ) |
| inline

Definition at line 1379 of file Drawable.h.

double Magick::DrawableRectangle::lowerRightX | ( | void |  | ) | const
| inline

Definition at line 1383 of file Drawable.h.

void Magick::DrawableRectangle::lowerRightY | ( | double | lowerRightY_ | ) |
| inline

Definition at line 1388 of file Drawable.h.

double Magick::DrawableRectangle::lowerRightY | ( | void |  | ) | const
| inline

Definition at line 1392 of file Drawable.h.

void Magick::DrawableRectangle::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 961 of file Drawable.cpp.

void Magick::DrawableRectangle::upperLeftX | ( | double | upperLeftX_ | ) |
| inline

Definition at line 1361 of file Drawable.h.

double Magick::DrawableRectangle::upperLeftX | ( | void |  | ) | const
| inline

Definition at line 1365 of file Drawable.h.

void Magick::DrawableRectangle::upperLeftY | ( | double | upperLeftY_ | ) |
| inline

Definition at line 1370 of file Drawable.h.

double Magick::DrawableRectangle::upperLeftY | ( | void |  | ) | const
| inline

Definition at line 1374 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp